#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
#-----------------------------------------------------------------------------
Name		:	perl-Tk
Version		:	804.034
Release		:	17.0.10.rel%{?dist}
Summary		:	A graphical user interface toolkit for Perl
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/release/Net-SSLeay

Source0		:	%{sname}-%{version}.tar.gz

buildroot	:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#-----------------------------------------------------------------------------
Provides	:       perl(Tk) = %{version}
Provides	:       perl(Tk::LabRadio)

BuildRequires	:	xorg-libX11
#-----------------------------------------------------------------------------
%description
The Tk804 series is considered production worthy since Tk804.027.
(Previous stable release being Tk800.025.)

This a re-port of a perl interface to Tk8.4.
C code is derived from Tcl/Tk8.4.5.
It also includes all the C code parts of Tix8.1.4 from SourceForge.
The perl code corresponding to Tix's Tcl code is not fully implemented.

Perl API is essentially the same as Tk800 series Tk800.025 but has not
been verified as compliant. There ARE differences see pod/804delta.pod.

%prep
%setup -q -n %{sname}-%{version}

#---------------------------------------------------------
#building application
%build

export PERL_MM_USE_DEFAULT=1
%{__perl}							\
	Makefile.PL						\
	X11LIB=%{_libdir}					\
	XFT=1							\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null \;
find %{buildroot} -name perllocal.pod | xargs rm -f
pushd %{buildroot}%{_libdir}/perl5/%{perlvers}/core_perl/
find . -name *.so -exec chmod u+w,+x {} \;
popd

%files			
%defattr(-, root,root, -)
%doc README
%{_bindir}/gedi
%{_bindir}/ptked
%{_bindir}/ptksh
%{_bindir}/tkjpeg
%{_bindir}/widget
%{_libdir}/perl5/%{perlvers}/core_perl/auto/Tk/*
%{_libdir}/perl5/%{perlvers}/core_perl/Tk/*
%{_libdir}/perl5/%{perlvers}/core_perl/Tie/*.pm
%{_libdir}/perl5/%{perlvers}/core_perl/Tk.{pm,pod}
%{_mandir}/man1/*.1.gz
%{_mandir}/man3/*.3.gz

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


%changelog
